Bug 902293 - Instance stuck in task state image_snapshot
Instance stuck in task state image_snapshot
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
Unspecified Linux
unspecified Severity unspecified
: snapshot2
: 2.1
Assigned To: Eoghan Glynn
Attila Fazekas
: Triaged
: 888461 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2013-01-21 05:19 EST by Julie Pichon
Modified: 2015-02-15 17:02 EST (History)
4 users (show)

See Also:
Fixed In Version: openstack-nova-2012.2.2-9.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-14 13:24:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1101136 None None None Never

  None (edit)
Description Julie Pichon 2013-01-21 05:19:46 EST
Description of problem:

I tried to create a snapshot of a running instance, and got a message back from Horizon reading "Unable to create snapshot" because the administrator had recently changed snapshotting/image creation to be an admin-only action.

Since then, my instance Task State is stuck in OS-EXT-STS:task_state "image_snapshot".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Update the Glance policy file with "add_image": [["role:admin"]]
2. Attempt to create a snapshot
Actual results:
3. Snapshot fails and the instance task state stays in "image_snapshot"

Expected results:
3. Snapshot fails and the instance returns to a normal active state

Additional info:
Comment 1 Eoghan Glynn 2013-01-21 05:25:05 EST
The problem is that the task state reversion logic *only* kicks in if the failure occurs on the compute node.

Whereas in this case, an eager attempt is made to create the image upfront from the API node, before even casting the snapshot_instance RPC to the compute node.

This upfront image creation fails with 403 because of the RBAC settings, but the task state is never reverted.
Comment 3 Eoghan Glynn 2013-01-22 11:08:30 EST
Fix proposed to master upstream:

Comment 11 errata-xmlrpc 2013-02-14 13:24:57 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

Comment 12 Nikola Dipanov 2013-02-18 07:59:03 EST
*** Bug 888461 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.